| OpenCV 3.4.3 Open Source Computer Vision

Public Member Functions | List of all members
cv::videostab::LpMotionStabilizer Class Reference
Video Stabilization » Global Motion Estimation

`#include "motion_stabilizing.hpp"`

Inheritance diagram for cv::videostab::LpMotionStabilizer:

## Public Member Functions
| LpMotionStabilizer (MotionModel model=MM_SIMILARITY)
Size | frameSize () const
MotionModel | motionModel () const
void | setFrameSize (Size val)
void | setMotionModel (MotionModel val)
void | setTrimRatio (float val)
void | setWeight1 (float val)
void | setWeight2 (float val)
void | setWeight3 (float val)
void | setWeight4 (float val)
virtual void | stabilize (int size, const std::vector< Mat > &motions, std::pair< int, int > range, Mat *stabilizationMotions) CV_OVERRIDE
| assumes that [0, size-1) is in or equals to [range.first, range.second) More...
float | trimRatio () const
float | weight1 () const
float | weight2 () const
float | weight3 () const
float | weight4 () const
Public Member Functions inherited from cv::videostab::IMotionStabilizer
virtual | ~IMotionStabilizer ()

## Constructor & Destructor Documentation

## § LpMotionStabilizer()

cv::videostab::LpMotionStabilizer::LpMotionStabilizer | ( | MotionModel | model = `MM_SIMILARITY` | ) |

## Member Function Documentation

## § frameSize()

Size cv::videostab::LpMotionStabilizer::frameSize | ( |  | ) | const
| inline

## § motionModel()

MotionModel cv::videostab::LpMotionStabilizer::motionModel | ( |  | ) | const
| inline

## § setFrameSize()

void cv::videostab::LpMotionStabilizer::setFrameSize | ( | Size | val | ) |
| inline

## § setMotionModel()

void cv::videostab::LpMotionStabilizer::setMotionModel | ( | MotionModel | val | ) |
| inline

## § setTrimRatio()

void cv::videostab::LpMotionStabilizer::setTrimRatio | ( | float | val | ) |
| inline

## § setWeight1()

void cv::videostab::LpMotionStabilizer::setWeight1 | ( | float | val | ) |
| inline

## § setWeight2()

void cv::videostab::LpMotionStabilizer::setWeight2 | ( | float | val | ) |
| inline

## § setWeight3()

void cv::videostab::LpMotionStabilizer::setWeight3 | ( | float | val | ) |
| inline

## § setWeight4()

void cv::videostab::LpMotionStabilizer::setWeight4 | ( | float | val | ) |
| inline

## § stabilize()

virtual void cv::videostab::LpMotionStabilizer::stabilize | ( | int | size,
|  | const std::vector< Mat > & | motions,
|  | std::pair< int, int > | range,
|  | Mat * | stabilizationMotions
| ) |  |
| virtual

assumes that [0, size-1) is in or equals to [range.first, range.second)

Implements cv::videostab::IMotionStabilizer.

## § trimRatio()

float cv::videostab::LpMotionStabilizer::trimRatio | ( |  | ) | const
| inline

## § weight1()

float cv::videostab::LpMotionStabilizer::weight1 | ( |  | ) | const
| inline

## § weight2()

float cv::videostab::LpMotionStabilizer::weight2 | ( |  | ) | const
| inline

## § weight3()

float cv::videostab::LpMotionStabilizer::weight3 | ( |  | ) | const
| inline

## § weight4()

float cv::videostab::LpMotionStabilizer::weight4 | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- videostab/include/opencv2/videostab/motion_stabilizing.hpp